# $Id: time.tcl,v 1.1 2002/11/02 20:42:02 alexey Exp $


proc iq_time {from child} {
    jlib::wrapper:splitxml $child tag vars isempty chdata children

    set curtime [clock seconds]
    set restags \
	[list [jlib::wrapper:createtag utc \
		   -chdata [clock format $curtime \
				-format "%Y%m%dT%T" -gmt true]] \
	     [jlib::wrapper:createtag tz -chdata \
		  [clock format $curtime -format %Z]] \
	     [jlib::wrapper:createtag display \
		  -chdata [clock format $curtime]]]
    
    set res [jlib::wrapper:createtag query \
		 -vars {xmlns jabber:iq:time} \
		 -subtags $restags]
    
    return [list result $res]
}

iq::register_handler get query jabber:iq:time \
    [namespace current]::iq_time

