# $Id: draw_timestamp.tcl,v 1.1 2002/11/02 20:42:02 alexey Exp $

proc draw_timestamp {chatid from type body x} {

    set chatw [chat::chat_win $chatid]

    set seconds [clock seconds]

    foreach xelem $x {
	jlib::wrapper:splitxml $xelem tag vars isempty chdata children
	
	if {[cequal [jlib::wrapper:getattr $vars xmlns] jabber:x:delay]} {
	    set seconds [clock scan [jlib::wrapper:getattr $vars stamp] -gmt 1]
	}
    }

    $chatw insert end [clock format $seconds -format {[%R]}]
}
hook::add draw_message_hook [namespace current]::draw_timestamp 15
